<div>
<h3>Instructions</h3>
<section>
    <table class="table">
        <thead>
            <tr>
                <th>Token</th>
                <th>Pseudocode</th>
                <th>Description</th>
            </tr>
        </thead>
        <tbody id="instructions">
        <tr><td class="unbreakable">yip</td>
<td><code>stack++</code>
</td>
<td>Increase stack position</td>
</tr><tr><td class="unbreakable">yap</td>
<td><code>stack--</code>
</td>
<td>Decrease stack position</td>
</tr><tr><td class="unbreakable">yip?</td>
<td><code>if (!hold) goto next yap!</code>
</td>
<td>Jump after the next yip! if hold is zero</td>
</tr><tr><td class="unbreakable">yap?</td>
<td><code>hold = min(*stack, hold)</code>
</td>
<td>Set hold to the stack value if it's less than hold</td>
</tr><tr><td class="unbreakable">yip!</td>
<td><code>hold -= *stack</code>
</td>
<td>Subtract the stack value from hold</td>
</tr><tr><td class="unbreakable">yap!</td>
<td><code>goto prev yip?</code>
</td>
<td>Jump to the previous yip?</td>
</tr><tr><td class="unbreakable">Yip</td>
<td><code>print(chr(hold))</code>
</td>
<td>Output hold as character</td>
</tr><tr><td class="unbreakable">Yap</td>
<td><code>hold += *stack</code>
</td>
<td>Add stack value to hold</td>
</tr><tr><td class="unbreakable">Yip!</td>
<td><code>print(hold)</code>
</td>
<td>Output hold as a number</td>
</tr><tr><td class="unbreakable">Yap!</td>
<td><code>return</code>
</td>
<td>Returns from a function to its invocation</td>
</tr><tr><td class="unbreakable">Yip?</td>
<td><code>func() {}</code>
</td>
<td>Defines a function whose name is the next token</td>
</tr><tr><td class="unbreakable">Yap?</td>
<td><code>func()</code>
</td>
<td>Invoke the function represented by the next token</td>
</tr><tr><td class="unbreakable">yipyip</td>
<td><code>hold = *stack</code>
</td>
<td>Assign the stack value to hold</td>
</tr><tr><td class="unbreakable">yipyap</td>
<td><code>swap(hold, *stack)</code>
</td>
<td>Swap hold and stack value</td>
</tr><tr><td class="unbreakable">yapyip</td>
<td><code>hold++</code>
</td>
<td>Increase hold value by 1</td>
</tr><tr><td class="unbreakable">yapyap</td>
<td><code>hold--</code>
</td>
<td>Decrease hold value by 1</td>
</tr></tbody>
    </table>
</section>

</div>